#include <stdio.h>


void print_list(char *list[]) {
    int i = 0;
    while (list[i] != NULL) {
        printf("[%d] => %s\n", i, list[i]);
        i++;
    }
}


int main(int argc, char **argv, char **envp) {

    // O vetor de ambiente (envp) é um vetor de strings
    // terminado com um ponteiro nulo (NULL)...

    print_list(envp);
    
    return 0;
}

